NANO(1)

NOM
nano – Nano un nouvel éditeur de texte, inspiré de Pico

SYNOPSIS
nano [options] [[+ligne[,colonne]] fichier]...

nano [options] [[+[crCR]{/|?}chaîne] fichier]...

NOTICES
Since version 9.0, all lines are scrolled horizontally together (when the cursor approaches the edge), by just the amount needed, instead of scrolling only the current line by a large step. If you prefer the old behavior, you can use --solo on the command line or set solosidescroll in your nanorc.

Also since version 9.0, keystrokes M-< and M-> have been reassigned to the `scrollleft` and `scrollright` functions. If you want those keystrokes to do what they did before version 9.0, add these two lines at the end of your nanorc file:

    bind M-< prevbuf main
    bind M-> nextbuf main

Since version 8.0, to be newcomer friendly, ^F starts a forward search, ^B starts a backward search, M-F searches the next occurrence forward, and M-B searches the next occurrence backward. If you want those keystrokes to do what they did before version 8.0, add the following four lines at the end of your nanorc file:

    bind ^F forward main
    bind ^B back main
    bind M-F formatter main
    bind M-B linter main

DESCRIPTION
nano (Nano's ANOther text editor) est un éditeur de texte léger et facile. Il imite l'aspect et la convivialité de Pico, mais c'est un logiciel libre qui implémente plusieurs fonctionnalités qui manquent à Pico telles que l'ouverture de plusieurs fichiers, le défilement ligne par ligne, la fonction annuler et refaire, la coloration syntaxique, la numérotation des lignes et le pliage des lignes trop longues.

Si on donne un nom de fichier sur la ligne de commande, il est possible de placer le curseur sur une ligne particulière en ajoutant le numéro de ligne avec un signe plus (+) avant le nom de fichier et même une colonne particulière en l'ajoutant avec une virgule. Des nombres négatifs décomptent à partir de la fin du fichier ou de la ligne.

Le curseur peut être placé sur la première ou la dernière occurrence d'une chaîne en spécifiant cette chaîne après +/ ou +? avant le nom de fichier. La chaîne peut devenir sensible à la casse et/ou être interprétée comme une expression rationnelle en insérant c et/ou r après le signe +. Ces modes de recherche peuvent être désactivés explicitement en utilisant la variante en capitale de ces lettres : C et/ou R. Quand la chaîne contient des espaces, il faut la mettre entre guillemets. À titre d'exemple, pour ouvrir un fichier à la première occurrence du mot Toto, on peut entrer :

    nano +c/Toto fichier

Cas particulier : si un tiret (-) est donné à la place d'un nom de fichier, nano lira les données à partir de l'entrée standard.

ÉDITION
Entrer du texte et se déplacer dans un fichier est simple : taper les lettres et utiliser les touches normales de déplacement du curseur. Les commandes sont entrées en utilisant les touches Contrôle (^) et Alt ou Méta (M-). Frapper ^K efface la ligne courante et la place dans le presse-papier. Les frappes consécutives de ^K placent toutes les lignes supprimées dans le presse-papier. Tout mouvement du curseur ou exécution d'une autre commande font que la frappe ^K suivante écrase le presse-papier. La frappe de ^U copie le contenu du presse-papier à la place actuelle du curseur.

Quand un fragment précis de texte doit être coupé ou collé, il est possible de marquer son début avec ^6, de déplacer le curseur jusqu'à sa fin (le texte marqué est mis en surbrillance), puis de le couper avec ^K ou de le coller dans le presse-papier avec M-6. Le texte marqué peut aussi être sauvegardé dans un fichier avec ^0 ou soumis à la vérification orthographique avec ^T^T.

Sur certains terminaux, le texte peut être aussi sélectionné en maintenant la touche Shift appuyée et en utilisant les flèches de direction. Maintenir appuyées également les touches Ctrl ou Alt augmente le pas de la sélection. Tout mouvement du curseur sans l'appui sur la touche Shift annule la sélection.

N'importe quel point de code Unicode valable peut être inséré dans le tampon en tapant M-V suivi de la valeur hexadécimale du point de code (et se terminant par <Espace> ou <Entrée> lorsqu'il contient moins de six chiffres). Un code de contrôle littéral (sauf ^J) peut être inséré en tapant M-V suivi de la touche adéquate.

Les deux lignes en bas de l'écran montrent quelques commandes importantes : le message d'aide de nano (^G) liste toutes les commandes disponibles. Les raccourcis clavier par défaut peuvent être modifiés avec le fichier nanorc – voir nanorc(5)

OPTIONS

-A, --smarthome
    Rendre plus malin le fonctionnement de la touche Début. Lorsqu'on appuie sur cette touche à n'importe quel endroit excepté au tout début d'une suite de caractères non blancs sur une ligne, le curseur se positionne au début de de la suite de caractères (qu'il soit en avant ou en arrière). Si le curseur y est déjà, il se place au véritable début de la ligne.

-B, --backup
    Lors de l'enregistrement d'un fichier, créer une copie de sécurité de la version précédente, en ajoutant un tilde (~) au nom du fichier.

-C répertoire, --backupdir=répertoire
    Ne pas créer et conserver qu'un seul fichier de sécurité, mais créer et conserver un fichier à numéro unique chaque fois qu'un fichier est sauvegardé quand la sauvegarde est activée (-B). Ces fichiers à numéro unique sont placés dans le répertoire spécifié.

-D, --boldtext
    Dans l'interface, utiliser le gras à la place de la vidéo inverse. Cette option peut être outrepassée pour des éléments particuliers en réglant les options titlecolor, statuscolor, promptcolor, minicolor, keycolor, numbercolor, et/ou selectedcolor dans le fichier nanorc. Voir nanorc(5).

-E, --tabstospaces
    Convertir toutes les tabulations clavier en espaces – avec le nombre d'espaces que prendrait une tabulation à cet emplacement. (Note : les tabulations collées ne sont pas converties)

-F, --multibuffer
    Lire un fichier dans un nouveau tampon par défaut.

-G, --locking
    Utiliser un verrouillage de fichier dans le style de vim lors de la modification de fichier.

-H, --historylog
    Conserver les cent dernières chaînes de recherche et de remplacement et les commandes exécutées de manière à ce qu'elles soient facilement réutilisées dans des sessions ultérieures.

-I, --ignorercfiles
    Ne pas rechercher le fichier nanorc de l'utilisateur ni celui commun à tout le système.

-J nombre, --guidestripe=nombre
    Dessiner une bande verticale à une colonne donnée pour aider à évaluer la largeur du texte. (La couleur de cette bande peut être modifiée grâce à l'option set stripecolor dans le fichier nanorc.)

-K, --rawsequences
    Interpréter directement les séquences d'échappement plutôt que demander à ncurses de les traduire. (Si vous avez besoin de cette option pour que votre clavier fonctionne correctement, cela signifie que la description de terminal terminfo qui est utilisée ne correspond pas complètement au comportement réel de votre terminal. Cela peut se produire quand vous intervenez à travers ssh dans une machine BSD, par exemple.) Utiliser cette option désactive la prise en charge de la souris par nano.

-L, --nonewlines
    Ne pas ajouter automatiquement un saut de ligne si un fichier n'en a pas à la fin. (Cela peut aboutir à la sauvegarde de fichiers texte non POSIX.)

-M, --trimblanks
    Couper les espaces de fin des lignes repliées lors d'un passage à la ligne automatique ou quand le texte est justifié.

-N, --noconvert
    Désactiver la conversion automatique des fichiers depuis les formats Mac et DOS.

-O, --bookstyle
    Lors de la justification, traiter toutes les lignes qui débutent par une espace comme le début d'un paragraphe (à moins que l'autoindentation ne soit active).

-P, --positionlog
    Pour les deux cents fichiers les plus récents, enregistrer la dernière position du curseur et le replacer à cette position lors de la réouverture d'un de ces fichiers. Enregistrer et restaurer également la position des ancres.

-Q "epx_ratio", --quotestr="exp_ratio"
    Régler l'expression rationnelle pour mettre en correspondance la partie citation d'une ligne. La valeur par défaut est « ^([ \t]*([!#%:;>|}]|//))+ ». (Notez que \t représente une tabulation réelle.) Cela permet de modifier la justification de blocs de texte cité lors de l'écriture d'un courriel et de replier des blocs de commentaire de ligne lors de l'écriture de code source.

-R, --restricted
    Mode restreint : aucune lecture ou écriture de fichiers non indiqués sur la ligne de commande. Cela signifie pas de lecture ou d'écriture des fichiers d'historique, de suspension temporaire, de correction orthographique, d'ajout au début ou à la fin d'un fichier, ni de sauvegarde d'un fichier ayant déjà un nom sous un nom différent, ni de création de copie de sécurité. Ce mode restreint peut aussi être activé en appelant nano sous un nom commençant par r (par exemple rnano).

-S, --softwrap
    Afficher les lignes qui dépassent la largeur de l'écran sur plusieurs lignes d'écran. (Il est possible de faire que ce repliement se produise à une espace plutôt que brutalement au bord de l'écran en utilisant aussi l'option --atblanks.)

-T nombre, --tabsize=nombre
    Définir la taille (largeur) des tabulations en nombre de colonnes. Le nombre indiqué doit être strictement supérieur à 0. La valeur par défaut est 8.

-U, --quickblank
    Faire disparaître les messages de la ligne d'état après une frappe clavier au lieu de vingt. Notez que l'option -c (--constantshow) prend le pas sur cette option. Quand l'option --minibar ou --zero est active, --quickblank fait disparaître un message après 0,8 seconde au lieu de 1,5 seconde qui est la valeur par défaut.

-V, --version
    Afficher la version, puis arrêter.

-W, --wordbounds
    Détecter différemment les limites de mots en considérant les caractères de ponctuation comme faisant partie des mots.

-X "caractères", --wordchars="caractères"
    Indiquer quels autres caractères (au-delà des caractères alphanumériques normaux) doivent être considérés comme appartenant à un mot. Lors de l'utilisation de cette option, l'option -W (--wordbounds) devrait sûrement être omise.

-Y nom, --syntax=nom
    Indiquer quel nom de coloration syntaxique adopter, parmi les modes définis dans le fichier nanorc.

-Z, --zap
    Laisser les touches non modifiées Retour arrière et Supprimer effacer la région marquée (au lieu d'un caractère unique et sans affecter le presse-papier).

-a, --atblanks
    Lors d'un pliage de ligne, replier les lignes à une espace plutôt qu'au bord de l'écran.

-b, --breaklonglines
    Passer à la ligne automatiquement la ligne courante quand elle devient trop longue, c'est à dire plus longue que la valeur donnée avec -r (--fill). La valeur par défaut de -r est la largeur du terminal moins huit (cette option est l'inverse de -w (--nowrap) – c'est la dernière option donnée qui est prise en compte).

-c, --constantshow
    Afficher en permanence la position du curseur sur la barre d'état. Notez que cette option prend le pas sur l'option -U (--quickblank).

-d, --rebinddelete
    Interpréter différemment les touches Supprimer et Retour arrière, afin que Retour arrière et Supprimer fonctionnent correctement. Vous ne devriez avoir besoin de cette option que si, sur votre système, la touche Retour arrière produit l'effet de la touche Supprimer ou si la touche Supprimer produit l'effet de la touche Retour arrière.

-e, --emptyline
    Ne pas utiliser la ligne située sous la ligne de titre, en la laissant entièrement blanche.

-f fichier, --rcfile=fichier
    Ne lire que ce fichier pour configurer les options de nano plutôt que de lire le fichier nanorc de l'utilisateur et celui commun à tout le système.

-g, --showcursor
    Rendre le curseur visible dans le navigateur de fichiers (en le mettant sur l'élément sélectionné) et sur l'afficheur d'assistance. Cela est utile pour les utilisateurs du braille et pour les personnes avec une mauvaise vue.

-h, --help
    Afficher un résumé des options en ligne de commande disponibles et quitter.

-i, --autoindent
    Indenter automatiquement une ligne nouvelle du même nombre de tabulations ou d'espaces que la ligne précédente (ou que la ligne suivante si la ligne précédente est le début d'un paragraphe).

-j, --jumpyscrolling
    Faire défiler le contenu du tampon par demi-écran plutôt que ligne par ligne.

-k, --cutfromcursor
    Faire que la commande couper (normalement ^K) coupe à partir de la position actuelle du curseur jusqu'à la fin de la ligne, plutôt que de couper la ligne entière.

-l, --linenumbers
    Afficher les numéros de ligne à la gauche de la zone de texte. (Les lignes avec une ancre ont une marque supplémentaire dans la marge.)

-m, --mouse
    Activer l'utilisation de la souris, si elle est disponible pour votre système. Lorsque celle-ci est activée, il est possible d'utiliser la souris pour positionner le curseur, pour marquer le texte (avec un double-clic) et pour lancer les fonctions correspondant aux raccourcis. Il est possible d'utiliser la souris sous X Window ou en mode console avec gpm. Le texte peut toujours être sélectionné en faisant glisser la souris en tenant la touche Shift appuyée.

-n, --noread
    Traiter tout nom donné sur la ligne de commande comme un nouveau fichier. Cela permet à nano d'écrire dans des tubes nommés : nano commence avec un tampon vide et écrit dans le tube quand l'utilisateur enregistre le fichier. De cette manière, nano peut être utilisé comme éditeur en combinaison avec, par exemple gpg, sans avoir à écrire d'abord des données sensibles sur le disque.

-o répertoire, --operatingdir=répertoire
    Changer pour le répertoire donné et ne permettre la lecture et l'écriture de fichiers que dans ce répertoire et ses sous-répertoires.

-p, --preserve
    Préserver les séquences XOFF et XON (^S et ^Q), afin qu'elles soient reçues par le terminal (arrêtant et reprenant la sortie). Notez que l'option -/ (--modernbindings) prend le pas sur cette option.

-q, --indicator
    Afficher une barre de défilement sur le côté droit de la fenêtre d'édition. Elle montre la position de la fenêtre d'affichage dans le fichier et quelle proportion du fichier est couverte par la fenêtre d'affichage.

-r nombre, --fill=nombre
    Régler la largeur cible pour la justification et passer automatiquement à la ligne une fois arrivé à la colonne nombre. Si la valeur indiquée est de 0 ou moins, le point de passage à la ligne a lieu à la taille de l'écran moins nombre colonnes. Cela permet de faire varier le point de passage à la ligne lorsque l'on change la taille de l'écran. La valeur par défaut est -8.

-s "programme [paramètre ...]", --speller="programme [paramètre ...]"
    Utiliser cette commande pour effectuer la vérification et la correction orthographique, plutôt que d'utiliser le correcteur intégré qui appelle hunspell(1) ou spell(1).

-t, --saveonexit
    Sauvegarder le tampon s'il a été modifié, sans demande de confirmation (lorsqu'on quitte avec ^X).

-u, --unix
    Sauvegarder un fichier par défaut au format Unix. Cela prend le pas sur le comportement par défaut de nano qui sauvegarde un fichier dans son format d'origine. (Cette option n'a pas d'effet si vous utilisez aussi l'option --noconvert.)

-v, --view
    Uniquement visualiser le fichier et interdire l'édition : mode lecture seule. Ce mode permet à l'utilisateur d'ouvrir d'autres fichiers pour les visualiser, à moins que l'option --restricted ne soit aussi passée.

-w, --nowrap
    Ne pas passer à la ligne automatiquement la ligne courante quand elle devient trop longue. C'est l'option par défaut. (Cette option est l'inverse de -b (--breaklonglines) – la dernière option donnée prend effet.)

-x, --nohelp
    Ne pas afficher les deux lignes d'aide en bas de l'écran.

-y, --afterends
    Faire que les combinaisons Ctrl+droite et Ctrl+supprimer s'arrêtent à la fin des mots plutôt qu'au début.

-z, --listsyntaxes
    Lister le nom des syntaxes disponibles et quitter.

-!, --magic
    Quand ni le nom du fichier ni sa première ligne ne donne un indice, essayer d'utiliser libmagic pour déterminer la syntaxe appropriée.

-@, --colonparsing
    Quand un nom de fichier passé sur la ligne de commande finit par un deux-points suivi par des chiffres et que ce nom n'existe pas, retirer les deux-points et considérer les chiffres comme un numéro de ligne. Si le nom de fichier raccourci n'existe pas non plus, répéter le processus et considérer les deux nombres obtenus comme des numéros de ligne et de colonne. Mais si le nom de fichier tronqué deux fois n'existe toujours pas, oublier la troncature et accepter le nom de fichier tel qu'il est. Pour désactiver ce traitement des deux-points, utiliser +1 ou l'équivalent avant le nom de fichier concerné.

-%, --stateflags
    Utiliser le coin supérieur droit de l'écran pour afficher certains indicateurs d'état : I autoindentation active, M marquage du texte actif, L passage à la ligne (césure des longues lignes), R enregistrement d'une macro et S repliement de ligne. Quand le tampon est modifié, un astérisque (*) est affiché après le nom du fichier au centre de la barre de titre.

-_, --minibar
    Supprimer la barre de titre et montrer à la place des informations sur le tampon en cours en bas de l'écran, dans l'espace de la barre d'état. Dans cette « mini-barre », le nom du fichier est affiché à gauche suivi par un astérisque si le tampon a été modifié. Sur la droite sont affichés les numéros de ligne et de colonne en cours, le code du caractère sous le curseur (au format unicode : U+xxxx), les mêmes indicateurs que ceux montrés par --stateflags et un pourcentage qui exprime la place du curseur à l'intérieur du fichier (par rapport au nombre de lignes). Quand un fichier est chargé ou enregistré, ou après un changement de tampon, le nombre de lignes dans le tampon est affiché après le nom de fichier. Ce nombre est supprimé à la première frappe clavier ou remplacé par un [i/n] si plusieurs tampons sont ouverts. La ligne, le numéro de colonne et le code du caractère ne sont affichés que si --constantshow est utilisé et peuvent être affichés ou non avec M-C. Les indicateurs d'état sont affichés seulement si --stateflags est utilisé.

-0, --zero
    Cacher tous les éléments de l'interface (barre de titre, barre d'état et lignes d'aide) et utiliser toutes les lignes du terminal pour afficher le contenu du tampon. La barre d'état apparaît seulement quand il y a un message important et disparaît après 1,5 seconde ou à la première frappe clavier. Avec M-Z, la barre de titre et la barre d'état peuvent être affichées ou non. Pour la barre d'aide, c'est avec M-X.

-1, --solosidescroll
    When the cursor approaches the right edge of the edit window, scroll only the current line sideways by a large amount, instead of scrolling all visible lines sideways by just the amount needed to keep the cursor in view. This latter whole-window smooth sideways scrolling is the new default behavior. The single-line jerky sideways scrolling enabled by this option was the old behavior — the only behavior that nano knew.

-/, --modernbindings
    Use key bindings similar to the ones that most modern programs use: ^X cuts, ^C copies, ^V pastes, ^Z undoes, ^Y redoes, ^F searches forward, ^G searches next, ^S saves, ^O opens a file, ^Q quits, and (when the terminal permits) ^H shows help. Furthermore, ^A sets the mark, ^B searches backward, ^D searches previous, ^R makes replacements, ^P shows the position, ^T goes to a line, ^W writes out a file, and ^E executes a command. Note that this option overrides option -p (--preserve).

COMMUTATIONS
Plusieurs des options ci-dessus peuvent être aussi activées et désactivées alors que nano est en fonctionnement. Par exemple, M-L active la coupure des lignes trop longues, M-S le repliement à la fin d'un mot, M-N l'affichage des numéros de ligne, M-M l'activation de la souris, M-I l'autoindentation et M-X les lignes d'assistance. Voir à la fin du texte d'assistance (^G) pour une liste complète.

Le commutateur M-X est particulier : il fonctionne dans tous les menus sauf dans l'afficheur d'assistance et l'analyseur (linter). Tous les autres commutateurs ne fonctionnent que dans le menu principal.

FICHIERS
Quand un fichier --rcfile est fourni, nano lit uniquement le fichier spécifié pour régler ses options, sa syntaxe et ses raccourcis clavier. Sans cette option, nano lit deux fichiers de configuration : d'abord le fichier nanorc du système (s'il est présent), puis le premier fichier nanorc rencontré (s'il est présent) de l'utilisateur parmi les fichiers suivants : ~/.nanorc, $XDG_CONFIG_HOME/nano/nanorc ou ~/.config/nano/nanorc. Voir nanorc(5) pour plus d'informations sur le contenu possible de ces fichiers.

Voir /usr/share/nano/ et /usr/share/nano/extra/ pour la définition des colorations syntaxiques disponibles.

CODE DE RETOUR

0   L'éditeur a quitté normalement

1   Une option ou un paramètre d'option non valable ont été fournis.

2   Le dernier tampon ouvert a été supprimé (avec ^O^Q ou ^X^Q).

NOTES
La suspension est activée par défaut avec les touches ^T^Z (si vous voulez suspendre nano avec seulement ^Z, ajoutez bind ^Z suspend main dans nanorc).

À une invite « Yes-No », ^Y peut être utilisé pour « Yes », ^N pour « No » et ^A pour « All » (et quand il existe, ^Q peut être utilisé pour « Quitter avec erreur »). Ces raccourcis non listés fonctionnent pour tous les paramètres régionaux.

Si vous souhaitez copier le texte marqué de nano vers le presse-papiers du système, consultez les exemples de la page de manuel de nanorc(5).

Si aucun correcteur orthographique de remplacement n'est indiqué dans la ligne de commande ou dans l'un des fichiers nanorc, nano prend la commande indiquée par la variable d'environnement SPELL si elle est définie.

Dans certains cas, nano essaie de sauvegarder le fichier en cours d'édition dans un fichier de secours. Cela arrive principalement si nano reçoit un signal SIGHUP ou SIGTERM, ou bien se trouve à court de mémoire. Le nom de ce fichier de secours est nano.save si le fichier en cours n'avait pas encore de nom, ou ajoute le suffixe .save au nom du fichier en cours. Si un fichier de secours avec ce nom existe déjà dans le répertoire, un suffixe .save et un nombre sont ajoutés à la fin du nom du fichier en cours afin de le rendre unique (par exemple, .save.1). En mode multi-tampon, nano réalise une sauvegarde de tous les fichiers en cours dans leurs fichiers de secours respectifs.

Si vous avez une question sur l'utilisation de nano dans certaines situations particulières, vous pouvez la poser sur help-nano@gnu.org.

BOGUES
L'enregistrement et la relecture des macros clavier ne fonctionnent correctement que sur un émulateur de terminal et non sur une console Linux (VT – terminal virtuel) parce que par défaut cette dernière ne distingue pas les flèches de direction modifiées ou non modifiées.

Veuillez rapporter tous les autres bogues que vous rencontrez à l'aide de :
https://savannah.gnu.org/bugs/?group=nano.

Lors du plantage de nano, il sauvegarde tous les tampons modifiés vers les fichiers de secours .save. Si vous pouvez reproduire le plantage et que vous voulez obtenir une trace, définissez la variable d'environnement NANO_NOCATCH.

PAGE D'ACCUEIL
https://nano-editor.org/

VOIR AUSSI
nanorc(5)

/usr/share/doc/nano/ (ou son équivalent sur votre système)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Philippe Guérard <fevrier@tigreraye.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.